Knowledge Base

cPGuard Requirements

cPGuard is a security suite for Linux servers [ specifically for servers running PHP web applications ] which contains tools for anti-malware/anti-virus, Server Reputation Checker, Brute-force protection tool, DOS protection etc. We specifically call it for Linux servers, because we have designed its back-end to freely integrate into any Linux servers with less integration efforts. Though we are primarily targeting cPanel integration, more control panel integration and support for servers without a control panel will be added soon.

 

cPGuard Dashboard

Requirements [ For cPanel Servers ]
 

1. WHM/cPanel version 11.58 or higher
2. CentOS/RHEL/CloudLinux version 6/7 x86_64 [ we do not support 32 bit systems ]
3. OS should support to tweak inotify watch count in kernel [ OpenVZ/Virtuozzo users should contact their provider to raise this value before installing the software ]
4. ClamAV installed [ We install it from additional source ] 
5. Apache mod_security 
6. PHP IonCube must be enabled for WHM/cPanel internal PHP
7. CSF [ optional ] 

Please rate this article to help us improve our Knowledge Base.

3 2